<!DOCTYPE html>
<html lang="en">
<head>
<style type="text/css">
.shadow {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
#vtable td {
	font-size: 75%;
	padding: 4 !important;
	margin: 4 !important;
}


#vtable th {
	font-size: 85%;
}
.card-view .title {
		font-weight: bold;
		display: inline-block;
		min-width: 30%;
		text-align: left !important;
}

#vtable tbody {
		display:block;
		height: calc(100vh - 22em);
		overflow-y:scroll;
}
 #vtable thead tr,#vtable tbody tr {
		display:table;
		width:100%;
		table-layout:fixed;
}
 #vtable thead {
   display:block;
		width: 99%;
}
.nopadding{
	padidng:0 !important;
	padding:0 !important;
}
.ralign{
	text-align:right;
}
.cred{
	color:red;
}
.calign{
	text-align:center;
}
.width5{
  width: 5%;
}
.width6{
  width: 6%;
}
.width10{
  width: 10%;
}
.width14{
  width: 14%;
}
.width20{
  width: 20%;
}

</style>
</head>
<body>
  <input type="hidden" id="urole" name="urole" value="{{userrole}}"></input>
  <input type="hidden" id="modalindex" value=""></input>
 <div id="fevoucherrow" class="row">
   <button class="btn btn-sm btn-danger pull-right" type="button" style="margin-right: 15px;display:none;" id="fvclearfields">{% trans %}Clear Search{% endtrans %}<span class="glyphicon glyphicon-remove" style="margin-left: 5px;"></span></button>
    <table id="vtable" class="table table-condensed table-bordered" data-toggle="table" data-show-toggle="true"  data-search-align="left" data-buttons-align="left" data-search="true">
      <thead class="bg-primary">
        <tr>
            <th class="width5">{% trans %}V. No.{% endtrans %}</th>
            <th class="calign width5">{% trans %}Status{% endtrans %}</th>
            <th class="width6">{% trans %}Date{% endtrans %}</th>
            <th class="width10">{% trans %}Type{% endtrans %}</th>
            <th class="width20">{% trans %}Dr Accounts{% endtrans %}</th>
            <th class="width20">{% trans %}Cr Accounts{% endtrans %}</th>
            <th class="ralign width10">{% trans %}Dr Amounts{% endtrans %}</th>
            <th class="ralign width10">{% trans %}Cr Amounts{% endtrans %}</th>
            <th class="width14">{% trans %}Narration{% endtrans %}</th>

        </tr>
      </thead>
      <tbody>
        {% for vc in vouchers %}
        <tr  data-value="{{vc['vouchercode']}}">
            <td class="width5 word-wrap:break-word;">
              <a class="vno" href="">{{vc['vouchernumber']}}</a>
            </td>
            {% if (vc['status']) %}
            <td class="cred calign width5">***</td>
            {% else %}
            <td  class="cred calign width5">&nbsp</td>
            {% endif %}
            <td class="width6">
              {{vc['voucherdate']}}
            </td>
            {% if vc['vouchertype'] =="contra" %}
            <td class="width10">
              {% trans %}Contra{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "payment" %}
            <td class="width10">
              {% trans %}Payment{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "receipt" %}
            <td class="width10">
              {% trans %}Receipt{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "journal" %}
            <td class="width10">
              {% trans %}Journal{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "sales" %}
            <td class="width10">
              {% trans %}Sales{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "purchase" %}
            <td class="width10">
              {% trans %}Purchase{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "creditnote" %}
            <td class="width10">
              {% trans %}Credit Note{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "debitnote" %}
            <td class="width10">
              {% trans %}Debit Note{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "salesreturn" %}
            <td class="width10">
              {% trans %}Sale Return{% endtrans %}
            </td>
            {% elif vc['vouchertype'] == "purchasereturn" %}
            <td class="width10">
              {% trans %}Purchase Return{% endtrans %}
            </td>
            {% endif %}
            <td class="width20">
              {{vc["drs"].keys()[0]}}
            </td>
            <td class="width20">
              {{vc["crs"].keys()[0]}}
            </td>
            <td class=" ralign width10">
              {{vc["drs"][vc["drs"].keys()[0]]}}
            </td>
            <td class="ralign width10">
              {{vc["crs"][vc["crs"].keys()[0]]}}
            </td>
              {% if vc['narration']=="" %}
              <td class="width14">&nbsp</td>
              {% else %}
              <td class="width14">{{vc['narration']}}</td>
              {% endif %}
        </tr>
        {% endfor %}
      </tbody>
    </table>
</div>

  <div id="viewvc">
  </div>
  <br>
  <div class="">
    <span style="margin:auto; display:table;">
      <button type="button" id="backbutton" accesskey="k" class="btn btn-sm btn-danger">Bac<u>k</u></button>
      <button type="button" class="btn btn-sm btn-info" id="viewprintableversion" accesskey="t">{% trans %}<i class="fa fa-print" aria-hidden="true"></i> View Prin<u>t</u>able Version{% endtrans %}</button>
    </span>
  </div>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/findvouchertable.js')}}"></script>
</body>
</html>
